/* stylelint-disable selector-descendant-combinator-no-non-space */
$gutter: 3.75rem;

.c-global-header {
  position: absolute;
  top: 0;
  z-index: 3;
  width: 100%;
}

.c-global-header__container {
  max-width: $max-width;
  margin-right: auto;
  margin-left: auto;
}

.c-global-header__inner {
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: $gutter / 3 $gutter;

  // < 900
  @include sm-max {
    padding-right: $gutter / 2;
    padding-left: $gutter / 2;
  }
}

.c-global-header__brand {
  font-weight: 600;
  font-size: 31px;

  &:focus,
  &:hover,
  &:active {
    color: $c-orange;
  }

  // < 600
  @include xs-max {
    font-size: 16px;
  }
}

.c-global-header--white {
  color: $c-white;

  .c-global-header__brand {
    color: $c-white;

    &:focus,
    &:hover,
    &:active {
      color: $c-orange;
    }
  }
}

.c-language-menu__list {
  @include reset-list;
}

.c-language-menu__item {
  display: inline-block;
  font-size: 22px;
  line-height: 1;
  text-transform: uppercase;

  // < 600
  @include xs-max {
    font-size: 16px;
  }
}

.c-language-menu__item abbr {
  text-decoration: none;
}

.c-language-menu__item .is-active {
  color: $c-orange;
  font-weight: $font-bold;
}

.c-language-menu__item .is-inactive {
  opacity: 0.3;
}

.c-language-menu__item a {
  &:focus,
  &:hover,
  &:active {
    color: $c-orange;
  }
}
